package com.smartsoft;

import org.apache.kafka.clients.consumer.ConsumerRecord;
import org.apache.kafka.clients.consumer.ConsumerRecords;
import org.apache.kafka.clients.consumer.KafkaConsumer;

import java.util.Arrays;
import java.util.Properties;

public class ConsumerTest {
    public void clienttask(){
        Properties props = new Properties();
        props.put("bootstrap.servers","localhost:9092");

        props.put("group.id","0");

        props.put("enable.auto.commit","true");

        props.put("auto.commit.invertal.ms","1000");

        props.put("session.timeout.ms","30000");

        props.put("key.deserializer","org.apache.kafka.common.serialization.StringDeserializer");
        props.put("value.deserializer","org.apache.kafka.common.serialization.StringDeserializer");
        KafkaConsumer<String, String> consumer = new KafkaConsumer<String,String>(props);

        consumer.subscribe(Arrays.asList("mytopic"));
        System.out.println("start consumer...");
        while(true){
            ConsumerRecords<String, String> records = consumer.poll(100);
            for(ConsumerRecord<String,String> record: records){
                System.out.printf("offset=%d,key=%s,value=%s",record.offset(),record.key(),record.value());
                System.out.println();
            }
        }
    }
}
